Package org.springframework.security.authentication

# Class CredentialsExpiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.AccountStatusException
org.springframework.security.authentication.CredentialsExpiredException

All Implemented Interfaces:
  `Serializable`

public class CredentialsExpiredException extends AccountStatusException
Thrown if an authentication request is rejected because the account's credentials have expired. Makes no assertion as to whether or not the credentials were valid.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CredentialsExpiredException(String msg)`
Constructs a `CredentialsExpiredException` with the specified message.
`CredentialsExpiredException(String msg, Throwable cause)`
Constructs a `CredentialsExpiredException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CredentialsExpiredException

public CredentialsExpiredException(String msg)
Constructs a `CredentialsExpiredException` with the specified message.

Parameters:
  `msg` - the detail message

### CredentialsExpiredException

public CredentialsExpiredException(String msg, Throwable cause)
Constructs a `CredentialsExpiredException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause